## phonon4qt5-backend-gstreamer 4.7.1+git20140403

=== CMakeLists.txt ===
project(PhononGStreamer)
cmake_minimum_required(VERSION 2.8.6 FATAL_ERROR)

option(USE_INSTALL_PLUGIN "Use GStreamer codec installation API" TRUE)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

find_package(Phonon REQUIRED)
macro_ensure_version("4.7.0" ${PHONON_VERSION} PHONON_FOUND)
macro_log_feature(PHONON_FOUND "Phonon" "Core Library" "git://anongit.kde.org/phonon.git" TRUE "4.7.0")

add_definitions(${QT_DEFINITIONS})
include_directories(${PHONON_INCLUDES} ${QT_INCLUDES})

set(PHONON_GST_MAJOR_VERSION "4")
set(PHONON_GST_MINOR_VERSION "7")
set(PHONON_GST_PATCH_VERSION "2")
set(PHONON_GST_VERSION "${PHONON_GST_MAJOR_VERSION}.${PHONON_GST_MINOR_VERSION}.${PHONON_GST_PATCH_VERSION}")
add_definitions(-DPHONON_GST_VERSION="${PHONON_GST_VERSION}")

add_subdirectory(gstreamer)

macro_display_feature_log()

## phonon4qt5-backend-gstreamer 4.7.1%2Bgit20140403

=== debian/control ===
Source: phonon4qt5-backend-gstreamer
Section: sound
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>,
 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: automoc,
               cmake (>= 2.6.2),
               debhelper (>= 9~),
               libasound2-dev [linux-any],
               libgl1-mesa-dev,
               libglib2.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libphonon-dev,
               libphononexperimental-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5opengl5-dev,
               libxml2-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://phonon.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/phonon-backend-gstreamer-qt5.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/phonon-backend-gstreamer-qt5.git

Package: phonon4qt5-backend-gstreamer
Architecture: any
Multi-Arch: same
Provides: phonon4qt5-backend
Pre-Depends: ${misc:Pre-Depends}
Depends: phonon-backend-gstreamer-common,
         gstreamer1.0-pulseaudio | gstreamer1.0-alsa [linux-any] | gstreamer1.0-audiosink,
         gstreamer1.0-plugins-base,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gstreamer1.0-plugins-good
Suggests: gstreamer1.0-plugins-ugly
Description: Phonon4Qt5 GStreamer 1.0.x backend
 This package contains GStreamer 1.0.x backend for Phonon4Qt5
 multimedia framework. It transparently adapts and reroutes all
 requests from Phonon4Qt5 applications to the GStreamer framework
 which in turn performs requested audio/video decoding/capture tasks.
 .
 You should install gstreamer1.0-plugins-good to get support for playing
 popular free multimedia formats and gstreamer1.0-plugins-ugly to get support
 for popular MPEG audio formats like MP3.

Package: phonon4qt5-backend-gstreamer-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: phonon4qt5-backend-gstreamer (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for the Phonon GStreamer 1.0.x backend
 This package contains debugging symbols for the Phonon GStreamer 1.0.x
 backend. If you have a problem with this backend and wish to debug it or you
 have been asked to provide a backtrace of the crash inside the Phonon
 internals, you may find this package useful.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DPHONON_BUILD_PHONON4QT5=ON

override_dh_shlibdeps:
	$(overridden_command) -- -xphonon

override_dh_strip:
	$(overridden_command) --dbg-package=phonon4qt5-backend-gstreamer-dbg

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/phonon/phonon-backend-gstreamer/([\d.]+)/src/ phonon-backend-gstreamer-([\d.]+).tar.xz

## phonon4qt5-backend-gstreamer 4.7.1+git20140403

=== debian/changelog ===
phonon4qt5-backend-gstreamer (4:4.7.1+git20140403-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 03 Apr 2014 18:17:00 +0200

phonon4qt5-backend-gstreamer (4:4.7.1-1ubuntu4) trusty; urgency=medium

  * No change rebuild against libqtcore5a.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 14 Mar 2014 11:34:37 +0000

phonon4qt5-backend-gstreamer (4:4.7.1-1ubuntu3) trusty; urgency=low

  * Add build-dep on libqt5opengl5-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Dec 2013 12:21:08 +0000

phonon4qt5-backend-gstreamer (4:4.7.1-1ubuntu2) trusty; urgency=low

  * Add missing build-dep on libphonon4qt5-dev and
    libphonon4qt5experimental-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Dec 2013 12:08:16 +0000

phonon4qt5-backend-gstreamer (4:4.7.1-1ubuntu1) trusty; urgency=low

  * Sync with Debian
  * Build Phonon4Qt5 backend and create new and common package for it

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Dec 2013 12:53:31 +0000

phonon4qt5-backend-gstreamer (4:4.7.1-1) unstable; urgency=low

  * New upstream release.
  * Drop unneeded extra 0 in version.
  * Adjust build dependencies versions.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 09 Dec 2013 16:36:06 -0300

phonon4qt5-backend-gstreamer (4:4.7.0.0-1) unstable; urgency=low

  * New upstream release (4.7.0).
  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add gstreamer0.10-audiosink as an optional depends to the ALSA sink to
    phonon4qt5-backend-gstreamer (Closes: #680977).

  [ Modestas Vainius ]
  * Bump Standards-Version to 3.9.5: no further changes needed.
  * Require phonon 4.7.0(.0).

 -- Modestas Vainius <modax@debian.org>  Tue, 05 Nov 2013 13:18:29 +0200

phonon4qt5-backend-gstreamer (4:4.6.3-1) unstable; urgency=low

  * Add myself to Uploaders.
  * New upstream release.
  * Fix watch file:
    - No need to use umangle anymore.
    - The tar file is now xz compressed.
  * Use debhelper compat 9.
    - Bump debian/compat.
    - Bump debhelper build dependency.
  * Use canonical Vcs URLs.
  * Bump Standards-Version to 3.9.4, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 29 Jun 2013 22:56:36 -0300

phonon4qt5-backend-gstreamer (4:4.6.0.0-2) unstable; urgency=low

  * Team upload.

  [ Felix Geyer ]
  * Convert for multiarch.

  [ Fathi Boudra ]
  * Bump Qt build dependency to 4:4.8.1.
  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Bump debian/compat to 8.

 -- Fathi Boudra <fabo@debian.org>  Wed, 02 May 2012 15:08:02 +0300

phonon4qt5-backend-gstreamer (4:4.6.0.0-1) unstable; urgency=low

  * New upstream release (4.6.0):
    - add .0 to the upstream version in order to kill "really" suffix.
  * Require phonon 4.6.0 to build.

 -- Modestas Vainius <modax@debian.org>  Sun, 19 Feb 2012 18:51:23 +0200

phonon4qt5-backend-gstreamer (4:4.7.0really4.6.3-0ubuntu2) saucy; urgency=low

  * Add gstreamer0.10-pulseaudio as alternate dep for gstreamer0.10-alsa
    as phonon gstreamer actually supports either. (LP: #1154630)

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 03 Oct 2013 12:37:03 +0200

phonon4qt5-backend-gstreamer (4:4.7.0really4.6.3-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 04 Feb 2013 14:30:52 +0100

phonon4qt5-backend-gstreamer (4:4.7.0really4.6.2-0ubuntu1) quantal; urgency=low

  * New upstream release
  * Update watch file from bz2 archives to xz archives

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 14 Aug 2012 10:41:07 +0200

phonon4qt5-backend-gstreamer (4:4.7.0really4.6.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 16 Jul 2012 04:13:29 +0200

phonon4qt5-backend-gstreamer (4:4.7.0really4.6.0-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Bump build-dependency on phonon to 4:4.7.0really4.6.0.

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 16 Feb 2012 21:50:11 +0100

phonon4qt5-backend-gstreamer (4:4.7.0really4.5.1-1ubuntu4) precise; urgency=low

  * Build for multiarch.
    - Switch to debhelper compat level v9.
  * Treat armhf the same as armel.

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 15 Dec 2011 21:42:41 +0100

phonon4qt5-backend-gstreamer (4:4.7.0really4.5.1-1ubuntu3) oneiric; urgency=low

  * Build-depend on libx11-dev since it isn't pulled in on armel. (LP: #841450)

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 14 Sep 2011 08:45:52 +0200

phonon4qt5-backend-gstreamer (4:4.7.0really4.5.1-1ubuntu2) oneiric; urgency=low

  * On armel: Build-conflict instead of build-depend on OpenGL. (LP: #707794)

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 27 May 2011 22:47:44 +0200

phonon4qt5-backend-gstreamer (4:4.7.0really4.5.1-1ubuntu1) oneiric; urgency=low

  * Bump upstream version to 4:4.7.0*.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 27 May 2011 21:24:43 +0200

phonon4qt5-backend-gstreamer (4:4.6.0really4.5.1-1) unstable; urgency=low

  * New upstream release.
  * Replace $(overriden_command) with $(overridden_command) in debian/rules.
    Requires pkg-kde-tools 0.12.

 -- Modestas Vainius <modax@debian.org>  Sun, 08 May 2011 00:42:42 +0300

phonon4qt5-backend-gstreamer (4:4.6.0really4.5.0-1) unstable; urgency=low

  * New upstream release.
  * Drop CDBS from build depends.
  * Require libphonon*-dev 4.5.0 for building.
  * Bump Standards-Version to 3.9.2: no changes needed.

 -- Modestas Vainius <modax@debian.org>  Fri, 22 Apr 2011 15:40:46 +0300

phonon4qt5-backend-gstreamer (4:4.6.0really4.4.4-3) unstable; urgency=low

  * Readd packaging copyright to debian/copyright.
  * Fix typo in phonon4qt5-backend-gstreamer-dbg description.
  * Set priority: extra, section: debug and add ${misc:Depends} to
    phonon4qt5-backend-gstreamer-dbg package.
  * Port to dhmk based qt-kde-team/2/*, require pkg-kde-tools 0.11.1.
  * Release to unstable.



## phonon4qt5-backend-gstreamer 4.7.80

=== debian/changelog ===
phonon4qt5-backend-gstreamer (4:4.7.80-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Aug 2014 14:44:27 +0200

phonon4qt5-backend-gstreamer (4:4.7.2+git20140710-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Jul 2014 13:06:52 +0200
